# Api.blogger | Antville 1.4 API Reference

Documentation generator: JsDoc Toolkit 2.4.0
Template: Codeview 1.2
Generated on: 2012-4-22 10:17

# Namespace Api.blogger

- Defined in: Api.blogger.js

Namespace Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Api.blogger

## Method Summary

Method Attributes | Method Name and Description
--- | ---
<private> <static> | Api.blogger._getContentParts(content)
<static> | Api.blogger.deletePost(appKey, id, name, password)
<static> | Api.blogger.editPost(appKey, id, name, password, content, publish)
<static> | Api.blogger.getPost(appKey, id, name, password)
<static> | Api.blogger.getRecentPosts(appKey, id, name, password, limit)
<static> | Api.blogger.getUserInfo(appKey, name, password)
<static> | Api.blogger.getUsersBlogs(appKey, name, password)
<static> | Api.blogger.newPost(appKey, id, name, password, content, publish)

## Namespace Detail

Api.blogger

## Method Detail

- <private> <static> Api.blogger._getContentParts(content)
  Parameters:
  {String} content
- <static> {Boolean} Api.blogger.deletePost(appKey, id, name, password)
  Parameters:
  {String} appKey
  {Number} id
  {String} name
  {String} password
  Throws:
  {Error}
  Returns:
    {Boolean} Always true
- <static> {Boolean} Api.blogger.editPost(appKey, id, name, password, content, publish)
  Parameters:
  {String} appKey
  {Number} id
  {String} name
  {String} password
  {String} content
  {Boolean} publish
  Throws:
  {Error}
  Returns:
    {Boolean} Always true
- <static> {Object} Api.blogger.getPost(appKey, id, name, password)
  Parameters:
  {String} appKey
  {Number} id
  {String} name
  {String} password
  Throws:
  {Error}
  Returns:
    {Object} Properties: content, userid, postid, dateCreated
- <static> {Object[]} Api.blogger.getRecentPosts(appKey, id, name, password, limit)
  Parameters:
  {String} appKey
  {Number} id
  {String} name
  {String} password
  {Number} limit
  Throws:
  {Error}
  Returns:
    {Object[]} A list of objects with the properties postid, userid, dateCreated and content
- <static> {Object} Api.blogger.getUserInfo(appKey, name, password)
  Parameters:
  {String} appKey
  {String} name
  {String} password
  Throws:
  {Error}
  Returns:
    {Object} Properties: userid, nickname and url
- <static> {Object[]} Api.blogger.getUsersBlogs(appKey, name, password)
  Parameters:
  {String} appKey
  {String} name
  {String} password
  Returns:
    {Object[]} A list of objects with the properties blogid, blogName and url
- <static> {Number} Api.blogger.newPost(appKey, id, name, password, content, publish)
  Parameters:
  {String} appKey
  {Number} id
  {String} name
  {String} password
  {String} content
  {Boolean} publish
  Throws:
  {Error}
  Returns:
    {Number} The ID of the new story